resource "docker_config" "grafana" {
  name = "grafana-ini-${replace(timestamp(), ":", ".")}"
  data = base64encode(file("${path.module}/cfg/grafana.ini"))
  lifecycle {
    ignore_changes        = [name]
    create_before_destroy = true
  }
}